if (framework.browser.name === 'Firefox') {
	
	framework.extension.broadcast = {};
	
	framework.extension.broadcast.listeners = [];
	
	framework.extension.broadcast.postMessage = function(event) {
			var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"]
				.getService(Components.interfaces.nsIWindowMediator);
			var enumerator = wm.getEnumerator(null);
			while (enumerator.hasMoreElements()) {
				var win = enumerator.getNext();
				if (framework.extension.broadcast.window != win) {
					win.postMessage(JSON.stringify({
						name: 'couponcabin-trigger',
						data: event
					}), '*');
				}
			}
	};
	
	framework.extension.broadcast.onMessage = function(callback) {
		if (framework.extension.broadcast.listeners.indexOf(callback) < 0) {
			framework.extension.broadcast.listeners.push(callback);
		}
	};
	
	$(function() {
		var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"]
			.getService(Components.interfaces.nsIWindowMediator);
		var xulwin, enumerator = wm.getEnumerator(null);
		while (enumerator.hasMoreElements()) {
			xulwin = enumerator.getNext();
			var bg = xulwin.document.getElementById('couponcabin-background');
			if (bg && bg.contentWindow === window) {
				framework.extension.broadcast.window = xulwin;
				break;
			}
		}
		xulwin.addEventListener('message', function(e) {
			var message = JSON.parse(e.data);
			if (message && message.name === 'couponcabin-trigger') {
				var event = message.data;
				_.each(framework.extension.broadcast.listeners, function(callback) {
					callback(event);
				});
			}
		}, false);
	});
	
}