var User = Backbone.Model.extend({
	ERROR_UPDATE_INTERVAL: 60 * 1000, // 1min
	UPDATE_INTERVAL: 1 * 60 * 60 * 1000, // 1hs
	//url: 'https://my.www.couponcabin.com/api/u/',
	updateTimeout: null,
	initialize: function() {
		var this_ = this;
		this.on('error', function() {
			window.setTimeout(function() {
				// this_.fetch();
			}, this_.ERROR_UPDATE_INTERVAL);
		});
		this.on('sync', function() {
			window.clearTimeout(this_.updateTimeout);
			this_.updateTimeout = window.setTimeout(function() {
				// this_.fetch();
			}, this_.UPDATE_INTERVAL);
		});
	},
	fetch: function(opt_options) {
		if (DEBUG) {
			console.log('user.fetch', this.url);
		}
		var this_ = this;
		var options = opt_options || {};
		_.extend(options, {
			'headers': {
				'X-Access-Token': 'B67D0AD2-F1EF-47A6-A888-6FF1D57E0352'
			}
		});

		if(this.timeout) {
			window.clearInterval(this.timeout);
		}
		this.timeout = window.setTimeout(function() {
			this_.fetch(options);
		}, this.UPDATE_INTERVAL);

		return Backbone.Collection.prototype.fetch.call(this, options);
	}
});
