/**
 * Addons framework v2.0.0
 *
 * This Software is licensed under open source and commercial licenses.
 * For the Open Source License terms please refer to http://besttoolbars.net/os_license/
 * For the Commercial License terms please refer to http://besttoolbars.net/commercial_license/
 * Request details on licensing at http://www.besttoolbars.net/products/addon_framework/
 *
 * THE SOFTWARE IS PROVIDED "AS IS" WITH ALL FAULTS. BESTTOOLBARS HEREBY DISCLAIMS ALL REPRESENTATIONS,
 * WARRANTIES  AND  CONDITIONS,  EXPRESS  OR  IMPLIED,  WITH RESPECT TO THE SOFTWARE INCLUDING, WITHOUT
 * LIMITATION,  ANY  WARRANTIES  OR CONDITIONS OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NON-INFRINGEMENT.  BESTTOOLBARS  DOES  NOT WARRANT THAT THE USE OR OPERATION OF THE SOFTWARE WILL BE
 * UNINTERRUPTED  OR  ERROR FREE. LICENSEE IS SOLELY RESPONSIBLE FOR DETERMINING THE APPROPRIATENESS OF
 * USING  THE  SOFTWARE. LICENSEE ASSUMES ALL RISKS ASSOCIATED WITH USE OF THE SOFTWARE, INCLUDING, BUT
 * NOT  LIMITED  TO,  THE RISKS OF PROGRAM ERRORS, DAMAGE TO OR LOSS OF DATA, PROGRAMS OR EQUIPMENT AND
 * UNAVAILABILITY OR INTERRUPTION OF OPERATIONS.
 *
 */

window.addEventListener('load', function() {
	var file = Components['stack'].filename;
	var directory = file['replace'](/.* -> |[^\/]+$/g, "");
	var scriptName = directory + 'config.json';
	var req = Components['classes']["@mozilla.org/xmlextras/xmlhttprequest;1"]['createInstance']();
	req.open('GET', scriptName, true);
	req.overrideMimeType('text/javascript');
	req.onreadystatechange = function(e) {
		if (e.target.readyState == 4) {
			var context = {};
			context['config'] = JSON.parse(e.target.responseText);
			Components['classes']["@mozilla.org/moz/jssubscript-loader;1"].getService(
				Components['interfaces']['mozIJSSubScriptLoader']
			)['loadSubScript']('chrome://' + context['config']['packageName'] + '/content/framework.js', context);
		}
	};
	req.send();
}, false);