var App = {};

App.css = false;
App.popup = null;

App.show = function(data, autoclose) {
	if (!App.slider) {
		if (framework.browser.name === 'Internet Explorer') {
			if (window.NREUM || window._globalRollbarOptions) {
				var i; count = document.getElementsByTagName('iframe').length;
				try {
					var iframe = document.createElement('iframe');
					iframe.id = 'couponcabin-nr-workaround';
					document.body.appendChild(iframe);
					iframe.style.width = '1px';
					iframe.style.height = '1px';
					iframe.style.position = 'absolute';
					iframe.style.top = '-1000px';
					iframe.style.left = '-1000px';
					window.HTMLElement.prototype.addEventListener = iframe.contentWindow.HTMLElement.prototype.addEventListener;
				} catch(e) {}
			}
		}
		
		injectCSS();
		
		App.slider = new SliderView({
			'model': data
		});
		
	}
};

App.trigger = function(eventName, eventData) {
	framework.extension.fireEvent(eventName, {
		'data': eventData
	});
};

App.redirect = function(url, opt_tabId) {
	framework.extension.fireEvent("activate-cashback", {
		tabId : null,
		data : {
			activationUrl : url
		}
	}, function() {});
};

App.init = function() {
	if (location.href.search(/https?:\/\/www\.couponcabin\.com\//i) === 0 ) { 
		var getCookie = function(name) { //function getCookie(name) {
			var res;
			$.each(document.cookie.split('; '), function (i, c) {
				var cc = c.split('=');
				if (cc[0] === 'logged_in') {
					res = (cc[1] == 'true');
					return false;
				}
			});
			return res;
		}
		
		var logged_in = getCookie('logged_in');
		
		framework.extension.fireEvent('set-credentials', {
			tabId : null,
			data : logged_in
		}, function() {});
		
		//if (!logged_in) {
			window.setInterval(function() {
				var cookie = getCookie('logged_in');
				if (cookie != logged_in) {
					framework.extension.fireEvent('set-credentials', {
						data : cookie
					}, function(changed) {
						if (changed && window.outerWidth <= 600) {
							window.close();
						}
					});
				}
			}, 1000);
		//}
	}
	
	framework.extension.attachEvent('openPopup', function(event) {
		window.open(event.data.url, event.data.name, event.data.options);
	});
	
	framework.extension.attachEvent('reload', function(event) {
		if (App.slider) {
			window.location.reload();
		}
	});
	
	framework.extension.fireEvent('get-merchant', {data:{
		'url': location.href,
		'check': true
	}}, function(data) {
		App.data = data;
		if (
			(data.merchant.has_cash_back || data.merchant.has_offers) 
			&& !data.merchant.suppressed
		) {
			App.show(data);
		}
	});
};
	
if (window.top === window.self) {
	if (framework.browser.name === 'Internet Explorer') {
		App.init();
		$('body').on('focus', function() {
			framework.extension.fireEvent('tab-change', {
				data: {}
			});
		});
	} else {
		$(function() {
			App.init();
		});
	}
}