(function() {
	if (BROWSER_NAME_FF === framework.browser.name) {
		framework.extension.attachEvent(
			FIREFOX_CHECK_SCRIPTS,
			function(e, callback) {
				var scripts = window.document.getElementsByTagName('script');
				
				try {
					var urlToCheck = e.data;
					urlToCheck = urlToCheck.replace(/https?:\/\//, '');
					
					var urlToCheckAgainst;
					
					for (var i = 0, length = scripts.length; i < length; ++i) {
						urlToCheckAgainst = scripts[i].src;
						urlToCheckAgainst = urlToCheckAgainst.replace(/\/+/, '/');
						
						if ( -1 < urlToCheckAgainst.indexOf(urlToCheck) ) {
							callback();
							
							return;
						}
					}
					
					urlToCheckAgainst = window.document.URL;
					urlToCheckAgainst = urlToCheckAgainst.replace(/\/+/, '/');
					
					if ( -1 === urlToCheckAgainst.indexOf(urlToCheck) ) callback();
					
				} catch(e) {}
			}
		);
	}
})();